Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class EmbedElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.EmbedElement

public class EmbedElement
extends SinglePartElement

Use an EmbedElement to insert an arbitrary object directly into an HTML page. Embedded objects are supported in some browsers by application-specific plug-ins.

Version:
  2.1
Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`EmbedElement(java.lang.String url)` Deprecated. Constructs an EmbedElement with the specified URL.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printBody()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`EmbedElement` | `setAutostart(boolean start)` Deprecated. Sets the AUTOSTART attribute for an EmbedElement.
`EmbedElement` | `setHeight(int pixels)` Deprecated. Sets the HEIGHT attribute for an EmbedElement.
`EmbedElement` | `setHidden(boolean hidden)` Deprecated. Sets the HIDDEN attribute for an EmbedElement.
`EmbedElement` | `setName(java.lang.String name)` Deprecated. Sets the NAME attribute for an EmbedElement.
`EmbedElement` | `setSrc(java.lang.String url)` Deprecated. Sets the SRC of an EmbedElement to the specified URL.
`EmbedElement` | `setWidth(int pixels)` Deprecated. Sets the WIDTH attribute for an EmbedElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbedElement

    public EmbedElement(java.lang.String url)

  Deprecated.
  Constructs an EmbedElement with the specified URL.

  Parameters:
    `url` - URL of the object

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### setSrc

    public EmbedElement setSrc(java.lang.String url)

  Deprecated.
  Sets the SRC of an EmbedElement to the specified URL.

  Parameters:
    `url` - URL of the object
  Returns:
    EmbedElement

### setHeight

    public EmbedElement setHeight(int pixels)

  Deprecated.
  Sets the HEIGHT attribute for an EmbedElement.

  Parameters:
    `pixels` - Height
  Returns:
    EmbedElement

### setWidth

    public EmbedElement setWidth(int pixels)

  Deprecated.
  Sets the WIDTH attribute for an EmbedElement.

  Parameters:
    `pixels` - Width
  Returns:
    EmbedElement

### setName

    public EmbedElement setName(java.lang.String name)

  Deprecated.
  Sets the NAME attribute for an EmbedElement. Not supported by all browsers.

  Parameters:
    `name` - Name of embedded object
  Returns:
    EmbedElement

### setHidden

    public EmbedElement setHidden(boolean hidden)

  Deprecated.
  Sets the HIDDEN attribute for an EmbedElement. Not supported by all browsers.

  Parameters:
    `hidden` - True if the EmbedElement should be hidden
  Returns:
    EmbedElement

### setAutostart

    public EmbedElement setAutostart(boolean start)

  Deprecated.
  Sets the AUTOSTART attribute for an EmbedElement. Not supported by all browsers.

  Parameters:
    `start` - True if autostart should be true
  Returns:
    EmbedElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD